﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using AjaxControlToolkit;
using System.Web.UI.WebControls.WebParts;

namespace AJAXCollapsible
{
    // [DefaultProperty("Text")]
    // [ToolboxData("<{0}:AjaxCollapsibleWebPart runat=server></{0}:AjaxCollapsibleWebPart>")]
    public class AjaxCollapsibleWebPart : WebPart
    {
       // WebCustomControlCollapsibleUpdatePanel FirstPanel = null;

        Label _labelWebPartHour = new Label();

        public Button _hourButton = new Button();

        public AjaxCollapsibleWebPart()
        {
            this.ID = "AjaxCollapsibleWebPart_ID";

            _hourButton.ID = "_hourButtonID";
            _hourButton.UseSubmitBehavior = false;
            _hourButton.Text = "refresh Hour";
            _hourButton.Click += new EventHandler(lconfirmButton_Click);
        }

        protected override void CreateChildControls()
        {
            ScriptManager ScriptMgr = ScriptManager.GetCurrent(Page);
            if (ScriptMgr == null)
            {
                throw new ApplicationException("Pas de script manager!");
            }

            _labelWebPartHour.Text = DateTime.Now.TimeOfDay.ToString();
            Controls.Add(_labelWebPartHour);

            Controls.Add(_hourButton);

            ScriptMgr.RegisterAsyncPostBackControl(_hourButton);
            //FirstPanel = new WebCustomControlCollapsibleUpdatePanel();
            //FirstPanel.UpdateMode = UpdatePanelUpdateMode.Conditional;
            //FirstPanel.ChildrenAsTriggers = true;
            //FirstPanel.ID = "FirstCollapsiblePanel";
            //Controls.Add(FirstPanel);

            //FirstPanel._autreCollapsibleButton.Click += new EventHandler(lconfirmButton_Click);
            //FirstPanel._confirmCollapsibleButton.Click += new EventHandler(lconfirmButton_Click);
            //// _confirmButton.OnClientClick = "LoadPanel()";

            ////_trigCollapsibleButton = new AsyncPostBackTrigger();
            ////_trigCollapsibleButton.ControlID = _confirmCollapsibleButton.ID;
            ////_trigCollapsibleButton.EventName = "Click";
            ////// _collapsiblePanel.Events.AddHandler(lconfirmButton,confirmFileLoad);
            ////this.Triggers.Add(_trigCollapsibleButton);

            //ScriptMgr.RegisterAsyncPostBackControl(FirstPanel._confirmCollapsibleButton);
            base.CreateChildControls();
        }

        void lconfirmButton_Click(object sender, EventArgs e)
        {
            //FirstPanel.LoadPanel();
            RefreshHour();
        }

        public void RefreshHour()
        {
            _labelWebPartHour.Text = DateTime.Now.TimeOfDay.ToString();

        }

    }
}