﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="Default.aspx.cs" Inherits="AJAXComposant._Default" %>

<%@ Register Src="WebUserControlDependant.ascx" TagName="WebUserControlDependant"
    TagPrefix="uc1" %>
<%@ Register Src="WebUserControlAjax.ascx" TagName="WebUserControlAjax" TagPrefix="uc2" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
</head>
<body>
    <form id="form1" runat="server">
    <div>
        <asp:ScriptManager ID="asm" runat="server" EnablePartialRendering="True" />
        <asp:UpdatePanel ID="UpdatePanel1" runat="server" UpdateMode="Conditional">
            <ContentTemplate>
                <uc1:WebUserControlDependant ID="WebUserControlDependant1" runat="server" />
            </ContentTemplate>
            <Triggers>
                <asp:AsyncPostBackTrigger ControlID="Button1" EventName="Click" />
            </Triggers>
        </asp:UpdatePanel>
        <asp:UpdatePanel ID="UpdatePanel2" runat="server" UpdateMode="Conditional">
            <Triggers>
                <asp:AsyncPostBackTrigger ControlID="Button2" EventName="Click" />
            </Triggers>
        </asp:UpdatePanel>
        <asp:UpdatePanel ID="UpdatePanel3" runat="server" UpdateMode="Conditional">
            <Triggers>
                <asp:AsyncPostBackTrigger ControlID="_dependantCollapsible" EventName="Click" />
            </Triggers>
        </asp:UpdatePanel>
        <asp:UpdatePanel ID="UpdatePanel4" runat="server">
            <ContentTemplate>
                <asp:UpdateProgress ID="UpdateProgress4" runat="server" AssociatedUpdatePanelID="UpdatePanel4"
                    OnDataBinding="ButtonWebPart_Click" DisplayAfter="1">
                    <ProgressTemplate>
                        Working On UpdatePanel4...
                    </ProgressTemplate>
                </asp:UpdateProgress>
                <asp:PlaceHolder ID="PlaceHolderAjax" runat="server"></asp:PlaceHolder>
            </ContentTemplate>
            <Triggers>
                <asp:AsyncPostBackTrigger ControlID="_buttonajaxCollapsible" EventName="Click" />
                <asp:AsyncPostBackTrigger ControlID="ButtonWebPart" EventName="Click" />
            </Triggers>
        </asp:UpdatePanel>
        <%--<asp:UpdateProgress ID="UpdateProgress1" runat="server" AssociatedUpdatePanelID="UpdatePanel1"
            OnDataBinding="Button1_Click" DisplayAfter="1">
            <ProgressTemplate>
                WorkingOn UpdatePanel1...
            </ProgressTemplate>
        </asp:UpdateProgress>
        <asp:UpdateProgress ID="UpdateProgress2" runat="server" AssociatedUpdatePanelID="UpdatePanel2"
            OnDataBinding="Button2_Click" DisplayAfter="1">
            <ProgressTemplate>
                Working On UpdatePanel2...
            </ProgressTemplate>
        </asp:UpdateProgress>--%><br />
        <br />
        &nbsp;<asp:Label ID="Label1" runat="server" Text="Heure d'affichage de la page master :"></asp:Label>
        <asp:Label ID="LabelMasterHour" runat="server" Text="Label"></asp:Label>
        <br />
        <br />
        <br />
    </div>
    <asp:Button ID="Button1" runat="server" OnClick="_dependantAccordeon_Click" 
        Text="Ajout dyn Pane Dependant" />
    <asp:Button ID="Button2" runat="server" Text="AJAX Accordeon" OnClick="_ajaxAccordeon_Click" />
    <asp:Button ID="_dependantCollapsible" runat="server" Text="Dependant Collapsible"
        OnClick="_dependantCollapsible_Click" />
    <asp:Button ID="_buttonajaxCollapsible" runat="server" OnClick="_ajaxCollapsible_Click"
        Text="AJAX Collapsible" />
    <asp:Button ID="ButtonLoadPanel" runat="server" OnClick="ButtonLoadPanel_Click" 
        Text="LoadPanel" />
    <asp:Button ID="ButtonUpdatePanel" runat="server" Height="26px" OnClick="ButtonUpdatePanel_Click"
        Text="AJAX UpdatePanel" Width="192px" />
    <asp:Button ID="ButtonWebPart" runat="server" OnClick="ButtonWebPart_Click" Text="WebPart" />
    <asp:Button ID="_refreshWebPart" runat="server" OnClick="_refreshWebPart_Click" 
        Text="Refresh Web Part from master page" />
    <script type="text/javascript">

        var prm = Sys.WebForms.PageRequestManager.getInstance();

        prm.add_initializeRequest(initializeRequest);
        prm.add_endRequest(endRequest);

        var _postBackElement;

        function initializeRequest(sender, e) {
            if (prm.get_isInAsyncPostBack()) {
                e.set_cancel(true);
            }

            _postBackElement = e.get_postBackElement();

            if (_postBackElement.id.indexOf('ButtonWebPart') > -1) {
                $get('UpdateProgress1').style.display = 'block';
            }
        }

        function endRequest(sender, e) {
            if (_postBackElement.id.indexOf('ButtonWebPart') > -1) {
                $get('UpdateProgress1').style.display = 'none';
            }
        }
</script>
    </form>
</body>
</html>
