﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using AjaxControlToolkit;
using System.Drawing;

namespace AJAXComposant
{
    public partial class WebUserControlDependant : System.Web.UI.UserControl
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            this.Label2.Text = DateTime.Now.TimeOfDay.ToString();
            AccordionPane ap1 = new AccordionPane();
            ap1.HeaderContainer.Controls.Add(new LiteralControl("Premier Panel"));
            ap1.ContentContainer.Controls.Add(new LiteralControl("Contenu du Premier Panel."));
            AccordionPane ap2 = new AccordionPane();
            ap2.HeaderContainer.Controls.Add(new LiteralControl("Second Panel"));
            ap2.ContentContainer.Controls.Add(new LiteralControl("Contenu du Second Panel"));

            this.Accordion1.Panes.Add(ap1);
            this.Accordion1.Panes.Add(ap2);
            //ajout de l'accordeon aux controles enfants du WebControl.
            this.Controls.Add(this.Accordion1);
            base.CreateChildControls();
        }

        public void AddPane()
        {
            Panel lpanelToAdd = new Panel();
            lpanelToAdd.BackColor = Color.Red;

            AccordionPane lAccPaneToAdd = new AccordionPane();
            lAccPaneToAdd.BackColor = Color.Red;

            Label ltextHeaderAjouté = new Label();
            ltextHeaderAjouté.Text = " Panel Ajouté";
            ltextHeaderAjouté.BackColor = Color.Red;
            lAccPaneToAdd.HeaderContainer.Controls.Add(ltextHeaderAjouté);

            Label ltextContentAjouté = new Label();
            ltextContentAjouté.Text = " Contenu du Panel Ajouté";
            ltextContentAjouté.BackColor = Color.Red;
            lAccPaneToAdd.ContentContainer.Controls.Add(ltextContentAjouté);

            lAccPaneToAdd.ContentContainer.Controls.Add(lpanelToAdd);

            this.Accordion1.Panes.Add(lAccPaneToAdd);
        }
    }
}